{% extends "lab_10/layout/base.html" %}

{% block header %}
{% include "lab_10/partials/header_logged_in.html" %}
{% endblock %}

{% block content %}
<div class="row" style="margin-top: 60px;">
    <section name="watch-later-list" id="watch-later-list" style="margin-bottom: 30px;">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-lg-6">
                    <h2>Image</h2>
                    <div id="picture-of {{ movie.title }}"><img src="{{ movie.poster }}"></div>
                </div>
                <div class="col-lg-6">
                    <h2> Details </h2>
                    <div id="watch-later-list" class="list-group">
                        <table>
                            <h3><b>{{ movie.title }}</b></h3>
                            <tr>
                                <td width="150">Year Released <span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.released }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">Rated<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.rated }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">Runtime<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.runtime }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">Genre<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.genre }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">Director<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.director }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">Actors<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.actors }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">IMDb Rating<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.imdbrating }}</div>
                                </td>
                            </tr>
                            <tr>
                                <td width="150">Production<span style="float: right;">:</span></td>
                                <td>
                                    <div style="margin-left: 10px;">{{ movie.production }}</div>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="box">
        {% if added %}
        <button class="btn btn-success"> Added to Watch Later</button>
        {% else %}
        <a href="{% url 'lab-10:add_watch_later' id %}" class="btn btn-default btn-danger"> Add to Watch Later </a>
        {% endif%}
    </div>

</div>
{% endblock %}
